<?php

namespace App\Console\Module;

use Illuminate\Support\Facades\File;

class DirectoryHandler
{

    private $path;

    public function __construct(
        $path
    )
    {
        $this->path = $path;
    }

    public function create()
    {
        File::makeDirectory($this->path, 0777, true, true);
    }
}
